hosting

POST /v1/private-network/devices/{seatId}/rotate

Issue a fresh configuration for a device, invalidating the old one.

Todos os endpoints de hosting

Autenticação

Envie uma chave de API como um token bearer. Este endpoint não especifica uma permissão específica na documentação, portanto, conceda à sua chave o mínimo necessário e verifique a resposta em vez de assumir.

Este endpoint não requer um ID de organização. Sua chave já identifica a organização à qual pertence, e a resposta é delimitada a ela.

Experimente

Substitua qualquer item entre colchetes por seus próprios valores e o espaço reservado para a chave por uma chave do seu painel.

curl -X POST https://api.zinndigital.com/v1/private-network/devices/{seatId}/rotate \
  -H "Authorization: Bearer zdk_live_…"

Conectado? O console da API no seu painel preenche o ID da sua organização real e a sua própria chave, e executa a requisição contra a API de produção para que você possa ver a resposta real. Abra este endpoint no console da API

Detalhes

Gated on `network.private.manage`. This is the answer to "I lost my configuration file": the previous keypair stops working the moment the gateway next syncs. The new `config` is likewise shown only once.

Parâmetros

NomeTipoObrigatórioO que é
seatId (path)stringSim

Resposta

NomeTipoObrigatórioO que é
seatPrivateNetworkDeviceSim
configstringSimThe complete WireGuard configuration file. ⛔⛔ Returned ONCE, on this response only. It contains the device's private key, which is generated in memory and never stored anywhere…

Erros que este endpoint pode retornar

401 · 403 · 404 · 422